ONEUSER(1)

NAME
oneuser

SYNOPSIS
oneuser command [args] [options]

OPTIONS
 -r, --read-file           Read password from file
 --sha1                    The password will be hashed using the sha1 algorithm
 --ssh                     SSH Auth system
 --x509                    x509 Auth system for x509 certificates
 -k, --key path_to_private_key_pem Path to the Private Key of the User
 -c, --cert path_to_user_cert_pem Path to the Certificate of the User
 --driver driver           Driver to autehnticate this user
 --x509_proxy              x509 Auth system based on x509 proxy certificates
 --proxy path_to_user_proxy_pem Path to the user proxy certificate
 --time x                  Token duration in seconds, defaults to 3600 (1 h)
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create username [password]

    Creates a new User
    Examples:
      oneuser create my_user my_password
      oneuser create my_user -r /tmp/mypass
      oneuser create my_user --ssh --key /tmp/id_rsa
      oneuser create my_user --ssh -r /tmp/public_key
      oneuser create my_user --x509 --cert /tmp/my_cert.pem
    valid options: read_file, sha1, ssh, x509, key, cert, driver

•   update userid

    Launches the system editor to modify and update the template contents

•   login username

    Creates the Login token for authentication
    Examples:
      oneuser login my_user --ssh --key /tmp/id_rsa --time 72000
      oneuser login my_user --x509 --cert /tmp/my_cert.pem                                 --key /tmp/my_key.pk --time 72000
      oneuser login my_user --x509_proxy --proxy /tmp/my_cert.pem                                 --time 72000
    valid options: ssh, x509, x509_proxy, key, cert, proxy, time

•   key

    Shows a public key from a private SSH key. Use it as password
    for the SSH authentication mechanism.
    valid options: key

•   delete range|userid_list

    Deletes the given User

•   passwd userid [password]

    Changes the given User's password
    valid options: read_file, sha1, ssh, x509, key, cert, driver

•   chgrp range|userid_list groupid

    Changes the User's main group

•   chauth userid [auth] [password]

    Changes the User's auth driver and its password (optional)
    Examples:
      oneuser chauth my_user core
      oneuser chauth my_user core new_password
      oneuser chauth my_user core -r /tmp/mypass
      oneuser chauth my_user --ssh --key /home/oneadmin/.ssh/id_rsa
      oneuser chauth my_user --ssh -r /tmp/public_key
      oneuser chauth my_user --x509 --cert /tmp/my_cert.pem
    valid options: read_file, sha1, ssh, x509, key, cert, driver

•   list

    Lists Users in the pool
    valid options: list, delay, xml, numeric

•   show [userid]

    Shows information for the given User
    valid options: xml

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   groupid

    OpenNebula GROUP name or id

•   userid

    OpenNebula USER name or id

•   userid_list

    Comma-separated list of OpenNebula USER names or ids

•   password

    User password

LICENSE
OpenNebula 3.4.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0